org.jboss.resteasy.spi

## Interface ResteasyAsynchronousResponse

- All Superinterfaces:
    AsyncResponse
  All Known Implementing Classes:
    AbstractAsynchronousResponse, SynchronousExecutionContext.SynchronousAsynchronousResponse

      public interface ResteasyAsynchronousResponse
      extends AsyncResponse

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from interface javax.ws.rs.container.AsyncResponse

      `NO_TIMEOUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation[]` | `getAnnotations()`
    `ResourceMethodInvoker` | `getMethod()`
    `ContainerResponseFilter[]` | `getResponseFilters()`
    `WriterInterceptor[]` | `getWriterInterceptors()`
    `void` | `initialRequestThreadFinished()` Callback by the initial http request thread.
    `void` | `setAnnotations(Annotation[] annotations)`
    `void` | `setMethod(ResourceMethodInvoker method)`
    `void` | `setResponseFilters(ContainerResponseFilter[] responseFilters)`
    `void` | `setWriterInterceptors(WriterInterceptor[] writerInterceptors)`

    - ### Methods inherited from interface javax.ws.rs.container.AsyncResponse

      `cancel, cancel, cancel, isCancelled, isDone, isSuspended, register, register, register, register, resume, resume, setTimeout, setTimeoutHandler`

- - ### Method Detail

    - #### initialRequestThreadFinished

          void initialRequestThreadFinished()

      Callback by the initial http request thread. It is used to help simulate suspend/resume asynchronous semantics in containers that do not support asychronous HTTP. This method is a no-op in environments that support async HTTP.

    - #### getResponseFilters

          ContainerResponseFilter[] getResponseFilters()

    - #### setResponseFilters

          void setResponseFilters(ContainerResponseFilter[] responseFilters)

    - #### getWriterInterceptors

          WriterInterceptor[] getWriterInterceptors()

    - #### setWriterInterceptors

          void setWriterInterceptors(WriterInterceptor[] writerInterceptors)

    - #### getAnnotations

          Annotation[] getAnnotations()

    - #### setAnnotations

          void setAnnotations(Annotation[] annotations)

    - #### getMethod

          ResourceMethodInvoker getMethod()

    - #### setMethod

          void setMethod(ResourceMethodInvoker method)

Copyright © 2014. All Rights Reserved.